# File read text

An action block that loads the content of a text file.

The fiber will pause until the file has been loaded.

Note! Reading a large file may cause performance issues since it can be included in the fiber when it’s stored in the internal database.

## Input arguments

- File — path to source text file.
- Charset — charset of the text file, default is automatic detection.

## Output variables

- Text content — variable to assign the file content as text.